//
// rssi script
//
// var mySite = 'http://192.168.1.23' from myip.js
var url = mySite + '/state';
setInterval(RefreshStatus, 5000);

getIt = function(aUrl, callback) {
	var xhr = new XMLHttpRequest();
	xhr.open('GET', aUrl, true);
	xhr.responseType = 'text';
	xhr.onload = function(e) {
		if (this.status === 200) {
			callback(this.response);
		}
	};
	xhr.send();
}

function RefreshStatus() {
	getIt(url,
		function(data) {
			obj = JSON.parse(data);
			var elms = document.querySelectorAll('.' + 'ip'), i;
			for (i = 0; i < elms.length; ++i) {
				elms[i].textContent = obj.ip;
			}
		}
	);
}
